Support

Per-certificate operations. Order a certificate from a CSR, follow it through issuance, then reissue, renew, revoke, or cancel it. Also covers validation emails, domain control checks, action callbacks, downloads, and the site seal.

POST
/v1/certificates
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Header Parameters

X-Market-Id?string

Setting locale for communications such as emails and error messages. Defaults to the locale of the shopper account.

Request Body

application/json

The certificate order information

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates" \  -H "X-Market-Id: en-US" \  -H "Content-Type: application/json" \  -d '{    "contact": {      "email": "admin@example.com",      "nameFirst": "Jane",      "nameLast": "Doe",      "phone": "+1.4805058800"    },    "csr": "-----BEGIN CERTIFICATE REQUEST-----\\nMIICijCCAXICAQAwRTELMAkGA1UEBhMCVVMxEzARBgNVBAgMCkFyaXpvbmExDjAM\\nBgNVBAcMBVRlbXBlMREwDwYDVQQKDAhFeGFtcGxlMRQwEgYDVQQDDAtleGFtcGxl\\n...\\nLmNvbYIPd3d3LmV4YW1wbGUuY29t\\n-----END CERTIFICATE REQUEST-----\\n",    "period": 1,    "productType": "DV_SSL"  }'
{  "certificateId": "string"}
POST
/v1/certificates/validate
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Header Parameters

X-Market-Id?string

Setting locale for communications such as emails and error messages. Defaults to the locale of the shopper account.

Request Body

application/json

The certificate order info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/validate" \  -H "X-Market-Id: en-US" \  -H "Content-Type: application/json" \  -d '{    "contact": {      "email": "admin@example.com",      "nameFirst": "Jane",      "nameLast": "Doe",      "phone": "+1.4805058800"    },    "csr": "-----BEGIN CERTIFICATE REQUEST-----\\nMIICijCCAXICAQAwRTELMAkGA1UEBhMCVVMxEzARBgNVBAgMCkFyaXpvbmExDjAM\\nBgNVBAcMBVRlbXBlMREwDwYDVQQKDAhFeGFtcGxlMRQwEgYDVQQDDAtleGFtcGxl\\n...\\nLmNvbYIPd3d3LmV4YW1wbGUuY29t\\n-----END CERTIFICATE REQUEST-----\\n",    "period": 1,    "productType": "DV_SSL"  }'
Empty
GET
/v1/certificates/{certificateId}
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn"
{  "certificateId": "string",  "commonName": "string",  "contact": {    "email": "admin@example.com",    "jobTitle": "IT Director",    "nameFirst": "Jane",    "nameLast": "Doe",    "nameMiddle": "A",    "phone": "+1.4805058800",    "suffix": "Jr."  },  "createdAt": "string",  "deniedReason": "string",  "organization": {    "address": {      "address1": "100 S Mill Ave",      "address2": "Suite 1600",      "city": "Tempe",      "country": "AC",      "postalCode": "85281",      "state": "Arizona"    },    "assumedName": "string",    "jurisdictionOfIncorporation": {      "city": "string",      "country": "string",      "county": "string",      "state": "string"    },    "name": "string",    "phone": "string",    "registrationAgent": "string",    "registrationNumber": "string"  },  "period": 0,  "productType": "DV_SSL",  "progress": 0,  "revokedAt": "string",  "rootType": "GODADDY_R1",  "serialNumber": "string",  "serialNumberHex": "string",  "slotSize": "FIVE",  "status": "PENDING_ISSUANCE",  "subjectAlternativeNames": [    {      "status": "PENDING",      "subjectAlternativeName": "string"    }  ],  "validEnd": "string",  "validStart": "string"}
GET
/v1/certificates/{certificateId}/actions
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/actions"
[  {    "createdAt": "string",    "type": "CERTIFICATE_ISSUED"  }]
POST
/v1/certificates/{certificateId}/email/{emailId}/resend
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

emailId*string

Email id for email to resend

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/12345/resend"
Empty
POST
/v1/certificates/{certificateId}/email/resend/{emailAddress}
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

emailAddress*string

Specific email address to resend email

Formatemail

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/resend/admin@example.com"
{  "id": 0,  "accountId": 0,  "templateType": "string",  "fromType": "string",  "recipients": "string",  "body": "string",  "dateEntered": "string",  "subject": "string"}
POST
/v1/certificates/{certificateId}/email/{emailId}/resend/{emailAddress}
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

emailId*string

Email id for email to resend

emailAddress*string

Specific email address to resend email

Formatemail

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/12345/resend/admin@example.com"
Empty
GET
/v1/certificates/{certificateId}/email/history
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/history"
{  "id": 0,  "accountId": 0,  "templateType": "string",  "fromType": "string",  "recipients": "string",  "body": "string",  "dateEntered": "string",  "subject": "string"}
GET
/v1/certificates/{certificateId}/callback
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback"
{  "callbackUrl": "string"}
DELETE
/v1/certificates/{certificateId}/callback
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback"
Empty
PUT
/v1/certificates/{certificateId}/callback
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Query Parameters

callbackUrl*string

Callback url registered/replaced to receive stateful actions

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback?callbackUrl=https%3A%2F%2Fexample.com%2Fcertificate-callback"
Empty
POST
/v1/certificates/{certificateId}/cancel
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/cancel"
Empty
GET
/v1/certificates/{certificateId}/download
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/download"
{  "pems": {    "certificate": "string",    "cross": "string",    "intermediate": "string",    "root": "string"  },  "serialNumber": "string"}
POST
/v1/certificates/{certificateId}/reissue
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Request Body

application/json

The reissue request info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/reissue" \  -H "Content-Type: application/json" \  -d '{}'
Empty
POST
/v1/certificates/{certificateId}/renew
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Request Body

application/json

The renew request info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/renew" \  -H "Content-Type: application/json" \  -d '{}'
Empty
POST
/v1/certificates/{certificateId}/revoke
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Request Body

application/json

The certificate revocation request

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/revoke" \  -H "Content-Type: application/json" \  -d '{    "reason": "AFFILIATION_CHANGED"  }'
Empty
GET
/v1/certificates/{certificateId}/siteSeal
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Query Parameters

theme?string

This value represents the visual theme of the seal. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.

Default"LIGHT"

Value in

  • "DARK"
  • "LIGHT"
locale?string

Determine locale for text displayed in seal image and verification page. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.

Default"en"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/siteSeal"
{  "html": "string"}
POST
/v1/certificates/{certificateId}/verifyDomainControl
Authorization<token>

Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.

In: header

Path Parameters

certificateId*string

The id of the certificate.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/verifyDomainControl"
Empty

Last updated on

How is this guide?